Subject: Re: Other -15 comments

From: Jon Callas <[email-masked]>
Date: Tue, 18 Apr 2006 12:32:42 -0700

On 5 Dec 2005, at 11:50 AM, David Shaw wrote:

>
> 5.5.2. Public Key Packet Formats says "Third, there are minor
> weaknesses in the MD5 hash algorithm that make developers prefer other
> algorithms."  Suggest dropping the word "minor".
>

Done.

> *****
>
> Section 5.5.2. Public Key Packet Formats says:
>
>   V3 keys are deprecated; an implementation SHOULD NOT generate a V3
>   key, but MAY accept it.
>
> but section 11.1. Key Structures says:
>
>   V3 keys are deprecated. Implementations MUST NOT generate new V3
>   keys, but MAY continue to use existing ones.
>
> These can't both be correct.  I lean towards MUST NOT here,
> personally.
>

It says MUST NOT in both places. I did some more tidying in the same  
place. (There's no point in saying you MUST create a V3 key with RSA,  
if you MUST NOT create one, for example.)

> *****
>
> The first two paragraphs in section 6.4. Decoding Radix-64 contradict
> each other.  The first says that all non-radix-64 characters must be
> ignored.  The second says that non-radix-64 characters probably
> indicate a transmission error, "about which a warning message or even
> a message rejection might be appropriate under some circumstances".
>
> Suggest going with the second.
>

Done. There's one paragraph now:

   In Radix-64 data, characters other than those in the table, line  
breaks, and
   other white space probably indicate a transmission error, about  
which a warning
   message or even a message rejection might be appropriate under some
   circumstances. Decoding software must ignore all white space.

	Jon